> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Action Request

> Creates an action request with type, payload, approver type/ID and identifier via ActionRequestService.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /platform/create-action-request
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/create-action-request:
    post:
      operationId: createActionRequest
      summary: Create Action Request
      description: >-
        Creates an action request with type, payload, approver type/ID and
        identifier via ActionRequestService.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateActionRequestRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateActionRequestResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateActionRequestRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - TEST_TYPE
        payload:
          type: object
          additionalProperties: {}
        approverType:
          type: string
          enum:
            - TOKU_ADMIN
            - CLIENT_ORG_ADMIN
            - CLIENT_ORG_APPROVER
            - FINANCE_ADMIN
            - USER
            - INVESTOR
            - SUB_INVESTOR
            - SUB_RECIPIENT
        identifier:
          type: string
          minLength: 1
          maxLength: 200
        approverID:
          type: string
          format: uuid
      required:
        - type
        - approverType
        - identifier
    CreateActionRequestResponse:
      type: object
      properties:
        actionRequest:
          type: object
          properties:
            actionRequestID:
              type: string
            type:
              type: string
              enum:
                - TEST_TYPE
            orgID:
              type: string
            createdByID:
              type: string
            status:
              type: string
              enum:
                - PENDING
                - APPROVED
                - DENIED
                - CANCELLED
            identifier:
              type: string
            payload: {}
            createdAt:
              type: string
            updatedAt:
              type: string
            approverID:
              type:
                - string
                - 'null'
            approverType:
              type: string
              enum:
                - TOKU_ADMIN
                - CLIENT_ORG_ADMIN
                - CLIENT_ORG_APPROVER
                - FINANCE_ADMIN
                - USER
                - INVESTOR
                - SUB_INVESTOR
                - SUB_RECIPIENT
            isClosed:
              type: boolean
          required:
            - actionRequestID
            - type
            - orgID
            - createdByID
            - status
            - identifier
            - payload
            - createdAt
            - updatedAt
            - approverID
            - approverType
            - isClosed
      required:
        - actionRequest
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
